;
; New directives:
;
; RAM=xxxx                              ;Maximum # bytes of RAM for this part
; ROM=xxxx                              ;# 16-bit words of ROM for this part
; EEPROM=xxxx                           ;# 8-bit bytes of EEPROM for this part
;
; Information in this file came from the August, 1999 Atmel AVR databook
;

;
; this file defines the i/o port definitions for amtel's avr processors.
; the i/o port definitions are provided for each avr device
; each device definition begins with a line like this:
;
;       .devicename
;
;  after it go the port definitions in this format:
;
;       portname        address
;
; lines beginning with a space are ignored.
; comment lines should be started with ';' character.
;
; the default device is specified at the start of the file
;

.default AT90S8515

.AT90S1200
RAM=0
ROM=512
EEPROM=64
SREG    0x3F
GIMSK   0x3B
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
TCCR0   0x33
TCNT0   0x32
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTD   0x12
DDRD    0x11
PIND    0x10
ACSR    0x08

.AT90S2313
RAM=128
ROM=1024
EEPROM=128
SREG    0x3F
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
ICR1H   0x25
ICR1L   0x24
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTD   0x12
DDRD    0x11
PIND    0x10
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08

.AT90S2323/AT90LS2323
RAM=128
ROM=1024
EEPROM=128
SREG    0x3F
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16

.AT90S2333/AT90LS2333
RAM=128
ROM=1024
EEPROM=128
SREG    0x3F
SP      0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1H   0x2B
OCR1L   0x2A
ICR1H   0x27
ICR1L   0x26
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
UCSRA   0x0B
UCSRB   0x0A
UBRR    0x09
ACSR    0x08
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04
UBRRHI  0x03

.AT90S2343/AT90LS2343
RAM=128
ROM=1024
EEPROM=128
SREG    0x3F
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16

.AT90S4414
RAM=65536
ROM=2048
EEPROM=256
SREG    0x3F
SPH     0x3E
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
ICR1H   0x25
ICR1L   0x24
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08

.AT90S4433/AT90LS4433
RAM=128
ROM=2048
EEPROM=256
SREG    0x3F
SP      0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1H   0x2B
OCR1L   0x2A
ICR1H   0x27
ICR1L   0x26
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
UCSRA   0x0B
UCSRB   0x0A
UBRR    0x09
ACSR    0x08
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04
UBRRHI  0x03

.AT90S4434/AT90LS4434
RAM=65536
ROM=2048
EEPROM=256
SREG    0x3F
SPH     0x3E
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
ICR1H   0x27
ICR1L   0x26
TCCR2   0x25
TCNT2   0x24
OCR2    0x23
ASSR    0x22
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04

.AT90S8515
RAM=65536
ROM=4096
EEPROM=512
SREG    0x3F
SPH     0x3E
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
ICR1H   0x25
ICR1L   0x24
WDTCR   0x21
EEARH   0x1F
EEARL   0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08

.AT90S8535/AT90LS8535
RAM=65536
ROM=4096
EEPROM=512
SREG    0x3F
SPH     0x3E
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
ICR1H   0x27
ICR1L   0x26
TCCR2   0x25
TCNT2   0x24
OCR2    0x23
ASSR    0x22
WDTCR   0x21
EEARH   0x1F
EEARL   0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04

.AT90C8534
RAM=256
ROM=4096
EEPROM=512
SREG    0x3F
SPH     0x3E
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
TCCR0   0x33
TCNT0   0x32
TCCR1   0x2E
TCNT1H  0x2D
TCNT1L  0x2C
EEARH   0x1F
EEARL   0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
GIPR    0x10
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04

.ATtiny10
RAM=0
ROM=512
EEPROM=0
SREG    0x3F
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
WDTCR   0x21
PORTB   0x18
DDRB    0x17
PINB    0x16
ACSR    0x08

.ATtiny11
RAM=0
ROM=512
EEPROM=0
SREG    0x3F
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
WDTCR   0x21
PORTB   0x18
DDRB    0x17
PINB    0x16
ACSR    0x08

.ATtiny12
RAM=0
ROM=512
EEPROM=64
SREG    0x3F
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
OSCCAL  0x31
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16
ACSR    0x08

.ATtiny15
RAM=0
ROM=512
EEPROM=64
SREG    0x3F
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
OSCCAL  0x31
TCCR1   0x30
TCNT1   0x2F
OCR10   0x2E
OCR11   0x2D
SFIOR   0x2C
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16
ACSR    0x08
ADMUXG  0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04

.ATtiny22/ATtiny22L
RAM=128
ROM=1024
EEPROM=128
SREG    0x3F
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
WDTCR   0x21
EEAR    0x1E
EEDR    0x1D
EECR    0x1C
PORTB   0x18
DDRB    0x17
PINB    0x16

.ATmega103/ATmega103L
RAM=65536
ROM=65536
EEPROM=4096
SREG    0x3F
SPH     0x3E
SPL     0x3D
XDIV    0x3C
RAMPZ   0x3B
EICR    0x3A
EIMSK   0x39
EIFR    0x38
TIMSK   0x37
TIFR    0x36
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
OCR0    0x31
ASSR    0x30
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
ICR1H   0x27
ICR1L   0x26
TCCR2   0x25
TCNT2   0x24
OCR2    0x23
WDTCR   0x21
EEARH   0x1F
EEARL   0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04
PORTE   0x03
DDRE    0x02
PINE    0x01
PINF    0x00

.ATmega161/ATmega161L
RAM=65536
ROM=8192
EEPROM=512
SREG    0x3F
SPH     0x3E
SPL     0x3D
GIMSK   0x3B
GIFR    0x3A
TIMSK   0x39
TIFR    0x38
SPMCR   0x37
EMCUCR  0x36
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
OCR0    0x31
SFIOR   0x30
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
TCCR2   0x27
ASSR    0x26
ICR1H   0x25
ICR1L   0x24
TCNT2   0x23
OCR2    0x22
WDTCR   0x21
UBRRHI  0x20
EEARH   0x1F
EEARL   0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
DDRC    0x14
PINC    0x13
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR0    0x0C
UCSR0A  0x0B
UCSR0B  0x0A
UBRR0   0x09
ACSR    0x08
PORTE   0x07
DDRE    0x06
PINE    0x05
UDR1    0x03
UCSR1A  0x02
UCSR1B  0x01
UBRR1   0x00

.ATmega603/ATmega603L
RAM=65536
ROM=32768
EEPROM=4096
SREG    0x3F
SPH     0x3E
SPL     0x3D
XDIV    0x3C
RAMPZ   0x3B
EICR    0x3A
EIMSK   0x39
EIFR    0x38
TIMSK   0x37
TIFR    0x36
MCUCR   0x35
MCUSR   0x34
TCCR0   0x33
TCNT0   0x32
OCR0    0x31
ASSR    0x30
TCCR1A  0x2F
TCCR1B  0x2E
TCNT1H  0x2D
TCNT1L  0x2C
OCR1AH  0x2B
OCR1AL  0x2A
OCR1BH  0x29
OCR1BL  0x28
ICR1H   0x27
ICR1L   0x26
TCCR2   0x25
TCNT2   0x24
OCR2    0x23
WDTCR   0x21
EEARH   0x1F
EEARL   0x1E
EEDR    0x1D
EECR    0x1C
PORTA   0x1B
DDRA    0x1A
PINA    0x19
PORTB   0x18
DDRB    0x17
PINB    0x16
PORTC   0x15
PORTD   0x12
DDRD    0x11
PIND    0x10
SPDR    0x0F
SPSR    0x0E
SPCR    0x0D
UDR     0x0C
USR     0x0B
UCR     0x0A
UBRR    0x09
ACSR    0x08
ADMUX   0x07
ADCSR   0x06
ADCH    0x05
ADCL    0x04
PORTE   0x03
DDRE    0x02
PINE    0x01
PINF    0x00
